LogEntry (accounting-node 1.4.0-2.17.1 API)
Date: 2014-01-08

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.accounting.node.logparser
Class LogEntry

    java.lang.Object
      org.gcube.common.accounting.node.logparser.LogEntry

    public class LogEntry

extends Object

Author:
  Andrea Manzi(CERN)

Nested Class Summary
`class` | `LogEntry.CallInfo` Store info about the call

Constructor Summary
`LogEntry(RIInvocationParser.EntryType type, String line, String time)` create a log entry object

Method Summary
`LogEntry.CallInfo` | `getInfo()` get the CallInfo object
`double` | `getInvocationTime()` get the invocationTIme
`org.gcube.common.core.scope.GCUBEScope` | `getScope()` get the scope
`Date` | `getStartDate()`
`String` | `getTime()` get the time
`RIInvocationParser.EntryType` | `getType()` get the entry type
`void` | `setInfo(LogEntry.CallInfo info)` set the callInfo object
`void` | `setInvocationTime(double invocationTime)` set the invocation TIme
`void` | `setScope(org.gcube.common.core.scope.GCUBEScope scope)` set the scope
`void` | `setStartDate(Date startDate)`
`void` | `setTime(String time)` set the time
`void` | `setType(RIInvocationParser.EntryType type)` set the entry type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogEntry

    public LogEntry(RIInvocationParser.EntryType type,
                    String line,
                    String time)
             throws ParseException

  create a log entry object

  Parameters:
    `type` - type
    `line` - line
    `time` - time
  Throws:
    `ParseException` - ParseException

Method Detail

### getInfo

    public LogEntry.CallInfo getInfo()

  get the CallInfo object

  Returns:

### setInfo

    public void setInfo(LogEntry.CallInfo info)

  set the callInfo object

  Parameters:
    `info` -

### getInvocationTime

    public double getInvocationTime()

  get the invocationTIme

  Returns:
    the invocation Time

### setInvocationTime

    public void setInvocationTime(double invocationTime)

  set the invocation TIme

  Parameters:
    `invocationTime` -

### getScope

    public org.gcube.common.core.scope.GCUBEScope getScope()

  get the scope

  Returns:
    scope

### setScope

    public void setScope(org.gcube.common.core.scope.GCUBEScope scope)

  set the scope

  Parameters:
    `scope` - the scope

### getType

    public RIInvocationParser.EntryType getType()

  get the entry type

  Returns:
    the entry type

### setType

    public void setType(RIInvocationParser.EntryType type)

  set the entry type

  Parameters:
    `type` -

### getStartDate

    public Date getStartDate()

### setStartDate

    public void setStartDate(Date startDate)

### getTime

    public String getTime()

  get the time

  Returns:
    the time

### setTime

    public void setTime(String time)

  set the time

  Parameters:
    `time` - the time

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.